Deployment of internal Web Services on NetWeaver crashes with error "Invalid Version String"

Document ID : KB000087145
Last Modified Date : 14/04/2018
Show Technical Document Details
Issue:
Error Message :
Invalid Version String - 10.0.7+build.392

When attempting to deploy internal Web Services on SAP's NetWeaver from the Automation Engine, no matter what method is used, the following error messages are displayed: 

Invalid version string 10.0.7+build.392 
[EXCEPTION] 
java.lang.IllegalArgumentException: Invalid version string 10.0.7+build.392 
Environment:
OS Version: N/A
Cause:
Cause type:
Defect
Root Cause: Invalid string in manifest files
Resolution:
Update to a fix version listed below or a newer version if available.

Fix Status: Released

Fix Version(s):
Automation.Engine 12.1.0 - Available
Automation.Engine 11.2.2 - Available
Automation.Engine 11.1.4 - Available
Additional Information:
Workaround :
N/A